<template>
	<view class="container">
		<view class="vheigh"></view>
		<view class="user-top">
			<image src="../../static/img/user-bg.png" mode="" class="user-top-bg"></image>
			<view class="user-info" @click="navTo('/pages/set/set')">
				<view class="avatar"><image class="avatarimg" :src="userInfo.avatar || '/static/error/missing-face.png'" mode=""></image><image v-if="sm != 0" class="real" src="../../static/img/real.png" mode=""></image></view>
				<view class="name">{{ userInfo.nickname || '游客' }}</view>
				<view class="phone flex" v-if="userInfo.uid">
					<view class="phone-font">
						ID号：{{ userInfo.uid }}
					</view>
					<!-- <view class="green" v-if="sm != 0">
						<image class="green-bg" src="../../static/img/real.png" mode=""></image>
					</view> -->
				</view>
				<view class="vip" v-if="userInfo.level_name">
					<image class="vip-bg" src="../../static/img/vip.png" mode=""></image>
					<view class="vip-title">{{userInfo.level_name}}</view>
				</view>
			</view>
			<view class="sy-box flex">
				<view class="sy-item" @click="navTo('/pages/user/mygs')">
					<view class="sy-item-val">
						{{ userInfo.profit > 0? userInfo.profit : '0'}}
					</view>
					<view class="sy-item-name">
						我的收益
					</view>
				</view>
				<!-- <view class="jg"></view> -->
				<!-- <view class="sy-item" @click="navTo('/pages/user/myyue')">
					<view class="sy-item-val">
						{{userInfo.now_money || '0.00'}}
					</view>
					<view class="sy-item-name">
						我的余额
					</view>
				</view> -->
				<view class="jg"></view>
				<view class="sy-item" @click="navTo('/pages/money/qudou')">
					<view class="sy-item-val">
						{{userInfo.integral || '0.00'}}
					</view>
					<view class="sy-item-name">
						我的趣豆
					</view>
				</view>
				<view class="jg"></view>
				<view class="sy-item" @click="navTo('/pages/user/myAppointment')">
					<view class="sy-item-val">
						{{userInfo.anticipate || '0.00'}}
					</view>
					<view class="sy-item-name">
						我的易趣卷
					</view>
				</view>
			</view>
		</view>
		<view class="qd-box flex">
			<image src="../../static/icon/uqd.png" mode=""></image>
			<view class="qd-info">
				<view class="" style="font-weight: bold;color: #0C1732;">签到领取积分</view>
				<view class="">已连续签到{{actionDay}}天</view>
				<view class="">累计签到奖励{{sum_integral}}趣豆</view>
			</view>
			<view class="qd-btn" :class="{'qded': qded}" @click="qded?'':goQd()">
				{{qded?'已签到': '立即签到'}}
			</view>
		</view>
		<view class="tool-box flex">
			<view class="tool-item flex" v-for="itemt in toolList" :key="itemt.id" @click="useTool(itemt)">
				<view class="tool-item-img">
					<image :src="itemt.img" mode="widthFix" :style="{'width':itemt.width,'height': itemt.height}"
						class="tool-logo"></image>
				</view>
				<view class="tool-item-name">
					{{itemt.name}}
				</view>
			</view>
		</view>
		<uni-list class="tool-list">
			<uni-list-item title="收款信息" @click="navTo('/pages/collection/collection')" thumb="/static/icon/skxx.png">
			</uni-list-item>
			<uni-list-item title="实名认证" @click="navTo('/pages/user/approve')" thumb="/static/icon/bdsj.png">
			</uni-list-item>
			<uni-list-item title="收货地址" @click="navTo('/pages/set/address')" thumb="/static/icon/shdz.png">
			</uni-list-item>
			<uni-list-item title="客服" @click="openKf()" thumb="/static/icon/kf.png">
			</uni-list-item>
			<uni-list-item title="设置" @click="navTo('/pages/set/set')" thumb="/static/icon/uset.png">
			</uni-list-item>
			<!-- <uni-list-item title="关于我们" @click="navTo('/pages/shareQrCode/index')" thumb="/static/icon/img09.png"> -->
			</uni-list-item>
		</uni-list>
		<uni-popup ref="popupkf" type="center">
			<view class="popup-box">
				<view class="img">
					<image src="../../static/img/img009.png" mode=""></image>
				</view>
				<view class="mian">
					<view class="delivery">
						<view class="title">已经为您定制专属客服</view>
						<image src="../../static/img/img010.png" mode=""></image>
					</view>
					<view class="nocancel">客服VX:{{ text }}</view>
					<view class="comfirm-box">
						<view class="cancel" @click="cancel">取消</view>
						<view class="comfirm" @click="comfirm(text)">复制微信</view>
					</view>
				</view>
			</view>
		</uni-popup>
		<uni-popup ref="popupqd" type="center">
			<view class="popup">
				<view class="popup-dox">
					<image class="popup-logo" src="../../static/img/sign-popup.png"></image>
				</view>
				<view class="popup-title">
					获得
					<text>{{ today_integral }}</text>
					趣豆
				</view>
				<view class="popup-btn" @click="closeQd">知道了</view>
			</view>
			<!-- <view class="close_icon" @click="close">
				<image src="../../static/img/Close.png"></image>
			</view> -->
		</uni-popup>
		<u-tabbar activeColor="#f42b4e" v-model="current" :list="tabbar" ></u-tabbar>
	</view>
</template>
<script>
	import { tabbar1 } from '@/utils/tabbar.js';
	import {
		mapState,
		mapMutations
	} from 'vuex';
	import uniList from '@/components/uni-list/uni-list.vue';
	import uniListItem from '@/components/uni-list-item/uni-list-item.vue';
	import uniCopy from '@/components/js_sdk/xb-copy/uni-copy.js';
	import {
		orderData,
		getUserInfo,
		rate,
		apply_status
	} from '@/api/user.js';
	import { signList, integral,signUser } from '@/api/functionalUnit.js';
	import {
		saveUrl,
		interceptor
	} from '@/utils/loginUtils.js';
	let startY = 0,
		moveY = 0,
		pageAtTop = true;
	export default {
		components: {
			uniList,
			uniListItem
		},
		data() {
			return {
				sm: 0,//是否已实名认证
				money: '', //保存当前月份
				year: '', //保存当前年份
				day: '', //保存当前日期
				current: 4,
				tabbar: tabbar1,
				qded: false, //是否已签到
				text:'',//客服微信
				actionDay:0,//连续签到天数
				sum_integral:0,//累计获得积分
				today_integral:'',//签到获得的数值
				tom_integral: '',//明天签到获得的数值
				tom_type: '',//签到获得的数值单位
				userDowm: 0, //卡片升级专属高度
				userMaxDowm: 0, //卡片最高高度
				toolList: [
					// {
					// 	id: 't1',
					// 	name: '新人通道',
					// 	width: '56rpx',
					// 	heigt: '54rpx',
					// 	img: '../../static/icon/tool-1.png',
					// 	path: '/pages/user/xrtd'
					// },
					{
						id: 't2',
						name: '邀请好友',
						width: '56rpx',
						heigt: '57rpx',
						img: '../../static/icon/tool-2.png',
						path: '/pages/user/shareQrCode'
					},
					{
						id: 't3',
						name: '我的粉丝',
						width: '68rpx',
						heigt: '53rpx',
						img: '../../static/icon/tool-3.png',
						path: '/pages/user/myfans'
					},
					{
						id: 't4',
						name: '我的订单',
						width: '55rpx',
						heigt: '54rpx',
						img: '../../static/icon/tool-4.png',
						path: '/pages/order/index'
					},
					{
						id: 't5',
						name: '我的商品',
						width: '50rpx',
						heigt: '58rpx',
						img: '../../static/icon/tool-5.png',
						path: '/pages/user/myproduct'
					},
					{
						id: 't6',
						name: '馆长申请',
						width: '59rpx',
						heigt: '56rpx',
						img: '../../static/icon/tool-6.png',
						path: '/pages/user/gzsq'
					}
				]
			};
		},
		onShow() {
			// 判断是否已经登录
			if (this.hasLogin) {
				this.loadBaseData();
				this.signUser();
				this.loadList();
				this.getData();
				this.isSm();
			}
		},
		onReady() {
			// 初始化获取页面宽度
			uni.createSelectorQuery()
				.select('.container')
				.fields({
						size: true
					},
					data => {
						// 计算最多下拉的高度
						this.userDowm = Math.floor((data.width / 750) * 185);
						// 计算最大触发修改高度事件
						this.userMaxDowm = Math.floor((data.width / 750) * 250);
					}
				)
				.exec();
		},
		computed: {
			...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
		},
		methods: {
			...mapMutations('user', ['setUserInfo', 'setOrderInfo']),
			getData(current) {
				const date = current ? new Date(current) : new Date();
				this.year = date.getFullYear();//保存当前年份
				this.month = date.getMonth() + 1;//保存当前月份
				this.day = date.getDate();//保存当前日期
			},
			isSm() {
				rate({}).then(e =>{
					if(e.data.is_auth == 2){
						this.sm = 1
					}
				})
			},
			comfirm(text) {
				let obj = this;
				let content = text; //需要复制的内容
				console.log('复制的内容:', content);
				// content = typeof content === 'string' ? content : content.toString(); // 复制内容，必须字符串，数字需要转换为字符串
				const result = uniCopy(content);
				if (result === false) {
					uni.showToast({
						title: '不支持'
					});
				} else {
					uni.showToast({
						title: '复制成功',
						icon: 'none'
					});
				}
			},
			// 获取签到列表
			loadList() {
				let obj = this;
				let present = this.day; //保存当前天数用于后续计算
				let actionDay = 0; //用于计算活跃天数
				let arr = []; //保存返回数组；
				signList({
					page: 1,
					limit: 31
				}).then(e => {
					arr = e.data.map((e, ind) => {
						let time = e.add_time.split('-');
						let day = parseInt(time[2].replace(/^0/i, ''));
						let year = time[0];
						let month = +time[1];
						if (obj.year == year && obj.month == month) {
							return day;
						}
					});
					// 判断今天是否已经签到
					if(arr[0]==this.day){
						this.qded = true;
					}
				});
			},
			//获取签到用户信息
			signUser(){
				signUser({all:1}).then(({data}) => {
					this.actionDay = data.sign_num;//连续签到天数
					this.sum_integral = data.sum_integral;//累计总积分
				})
			},
			// 加载初始数据
			loadBaseData() {
				getUserInfo({})
					.then(({
						data
					}) => {
						this.setUserInfo(data);
						// 获取用户数据完毕后在获取订单数据防止多次跳转到登录页
						orderData({})
							.then(({
								data
							}) => {
								this.setOrderInfo(data);
							})
							.catch(e => {
								this.setOrderInfo({
									complete_count: 0, //完成
									received_count: 0, //待收货
									unshipped_count: 0, //待发货
									order_count: 0, //订单总数
									unpaid_count: 0 //待付款
								});
							});
					})
					.catch(e => {
						console.log(e);
					});
			},
			/**
			 * 统一跳转接口,拦截未登录路由
			 * navigator标签现在默认没有转场动画，所以用view
			 */
			navTo(url) {
				const obj = this
				if (!this.hasLogin) {
					// 保存地址
					saveUrl();
					// 登录拦截
					interceptor();
				} else {
					if(url == '/pages/user/approve'){
						rate({}).then(e =>{
							console.log(e);
							if(e.data.is_auth == null){
								uni.navigateTo({
									url
								});
							}
							if(e.data.is_auth == 0){
								uni.navigateTo({
									url
								});
							}
							if(e.data.is_auth == 1){
								this.$api.msg('正在审核中请耐心等待')
							}
							if(e.data.is_auth == 2){
								this.$api.msg('已通过实名认证，无需再实名认证')
							}
							if(e.data.is_auth == 3) {
								uni.showModal({
									title: '提示',
									content:'申请失败,原因'+ e.data.off +'是否重新申请',
									success: function (res) {
											if (res.confirm) {
												uni.navigateTo({
													url
												});
											} else if (res.cancel) {
												console.log('用户点击取消');
											}
										}
								})
							}
						}).catch(e =>{
							return
						})
					} else if (url == '/pages/user/gzsq'){
						apply_status({}).then(e =>{
							if(e.data.status != 0){
								if(e.data.status == 3){
									uni.showModal({
										title: '提示',
										content:'申请失败是否重新申请',
										success: function (res) {
												if (res.confirm) {
													uni.navigateTo({
														url
													});
												} else if (res.cancel) {
													console.log('用户点击取消');
												}
											}
									})
								}else{
									obj.$api.msg(e.data.str)
								}
							} else {
								uni.navigateTo({
									url
								});
							}
						}).catch(e =>{
						})
					}else {
						uni.navigateTo({
							url,
							fail() {
								uni.switchTab({
									url
								})
							}
						});
					}
				}
			},
			useTool(e) {
				this.navTo(e.path)
			},
			// 签到弹窗
			goQd() {
				integral({})
					.then(e => {
						this.integral = 
						console.log(e);
						// 改为已签到
						this.qded = true
						this.today_integral = e.data.integral
						this.actionDay++;
						this.sum_integral = +this.sum_integral + +e.data.integral 
						this.$refs.popupqd.open()
					})
					.catch(e => {
						console.log(e);
					});
				
			},
			// 关闭签到弹窗
			closeQd() {
				this.$refs.popupqd.close()
			},
			// 打开客服
			openKf() {
				this.$refs.popupkf.open()
			},
			// 关闭客服
			cancel() {
				this.$refs.popupkf.close()
			},
		}
	};
</script>
<style lang="scss">
	%flex-center {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}

	%section {
		display: flex;
		justify-content: space-around;
		align-content: center;
		background: #fff;
		border-radius: 10rpx;
	}

	.container,page {
		min-height: 100%;
		height: auto;
		background-color: $page-color-base;
	}


	.vheigh {
		height: var(--status-bar-height);
		background-color: $base-color;
	}

	.user-section {
		height: 435rpx;
		padding: 15rpx 30rpx 0;
		position: relative;

		.bg {
			position: absolute;
			left: 0;
			top: 0;
			width: 100%;
			height: 100%;
			background-color: $base-color;
		}
	}

	.user-info-box {
		height: 180rpx;
		color: white;
		display: flex;
		align-items: center;
		justify-content: space-between;
		position: relative;
		z-index: 1;

		.detail {
			height: 130rpx;

			.portrait-box {
				height: 100%;

				.portrait {
					width: 130rpx;
					height: 100%;
					border: 5rpx solid #fff;
					border-radius: 50%;
				}
			}

			.info-box {
				margin-left: 20rpx;
				line-height: 1.5;

				.username {
					font-size: $font-lg + 6rpx;
					height: 100%;
				}
			}
		}

		.config {
			font-size: 48rpx;
			height: 130rpx;

			.setting {
				margin-right: 51rpx;
			}
		}
	}

	.vip-card-box {
		display: flex;
		flex-direction: column;
		color: #f7d680;
		height: 240rpx;
		background: linear-gradient(left, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.8));
		border-radius: 16rpx 16rpx 0 0;
		overflow: hidden;
		position: relative;
		padding: 20rpx 24rpx;

		.card-bg {
			position: absolute;
			top: 20rpx;
			right: 0;
			width: 380rpx;
			height: 260rpx;
		}

		.b-btn {
			position: absolute;
			right: 20rpx;
			top: 16rpx;
			width: 132rpx;
			height: 40rpx;
			text-align: center;
			line-height: 40rpx;
			font-size: 22rpx;
			color: #36343c;
			border-radius: 20px;
			background: linear-gradient(left, #f9e6af, #ffd465);
			z-index: 1;
		}

		.tit {
			font-size: $font-base + 2rpx;
			color: #f7d680;
			margin-bottom: 28rpx;

			.iconfont {
				color: #f6e5a3;
				margin-right: 16rpx;
			}
		}

		.e-b {
			font-size: $font-sm;
			color: #d8cba9;
			margin-top: 10rpx;
		}
	}

	.cover-container {
		background: $page-color-base;
		margin-top: -150rpx;
		padding: 0 30rpx;
		position: relative;
		background: #f5f5f5;
		padding-bottom: 20rpx;

		.arc {
			position: absolute;
			left: 0;
			top: -34rpx;
			width: 100%;
			height: 36rpx;
		}
	}

	.tj-sction {
		@extend %section;

		.tj-item {
			@extend %flex-center;
			flex-direction: column;
			height: 140rpx;
			font-size: $font-sm;
			color: #75787d;
		}

		.num {
			font-size: $font-lg;
			color: $font-color-dark;
			margin-bottom: 8rpx;
		}
	}

	.item-box {
		border-radius: 10rpx;
		background-color: white;
		margin-top: 20rpx;

		.box-title {
			line-height: 1;
			padding: 30rpx;

			.title {
				font-size: $font-lg;
				font-weight: bold;
			}

			.link {
				font-size: $font-base - 2rpx;
				color: $font-color-light;
			}
		}

		.order-section {
			@extend %section;
			padding: 28rpx 0;

			.order-item {
				@extend %flex-center;
				width: 120rpx;
				height: 120rpx;
				border-radius: 10rpx;
				font-size: $font-sm;
				color: $font-color-dark;
			}

			.iconfont {
				font-size: 48rpx;
				margin-bottom: 18rpx;
				color: #fa436a;
			}

			.icon-shouhoutuikuan {
				font-size: 44rpx;
			}

			.icon {
				height: 50rpx;
				width: 48rpx;
				margin-bottom: 18rpx;
				background-size: 100%;
				background-repeat: no-repeat;
				background-position: center;

				.icon-img {
					width: 100%;
					height: 100%;
				}
			}
		}
	}

	.history-section {
		// padding: 30rpx 0 0;
		margin-top: 20rpx;
		background: #fff;
		border-radius: 10rpx;

		.sec-header {
			display: flex;
			align-items: center;
			font-size: $font-base;
			color: $font-color-dark;
			line-height: 40rpx;
			margin-left: 30rpx;
			padding-top: 30rpx;

			.iconfont {
				font-size: 44rpx;
				color: $color-red;
				margin-right: 16rpx;
				line-height: 40rpx;
			}
		}

		.h-list {
			white-space: nowrap;
			padding: 30rpx 30rpx 0;

			.h-list-image {
				display: inline-block;
				width: 160rpx;
				height: 160rpx;
				margin-right: 20rpx;
				border-radius: 10rpx;
			}
		}
	}

	.user-top {
		height: 660rpx;
		position: relative;

		.user-top-bg {
			width: 750rpx;
			height: 660rpx;
			// width: 100%;
			// position: absolute;
		}
		.user-info {
			width: 750rpx;
			position: absolute;
			top: 66rpx;
			display: flex;
			flex-direction: column;
			justify-content: center;
			align-items: center;
			.avatar {
				position: relative;
				width: 134rpx;
				height: 134rpx;
				border-radius: 50%;
				.avatarimg {
					border-radius: 50%;
					width: 134rpx;
					height: 134rpx;
				}
				.real {
					position: absolute;
					bottom: 0;
					left: 10rpx;
					width: 120rpx;
					height: 34rpx;
				}
			}
			.name {
				margin-top: 20rpx;
				font-size: 32rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #FFFFFF;
			}
			.phone {
				justify-content: start;
				margin-top: 13rpx;
				font-size: 30rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #FFFFFF;
				.green{
					margin-left: 12rpx;
					position: relative;
					width: 100rpx;
					height: 40rpx;
					.green-bg {
						position: absolute;
						top: 0;
						left: 0;
						right: 0;
						width: 100%;
						height: 100%;
					}
					.green-title {
						line-height: 30rpx;
						text-align: center;
						position: relative;
						z-index: 10;
						font-size: 20rpx;
						font-family: PingFang SC;
						font-weight: 500;
						// color: #93794b;
						color: #fff;
					}
				}
			}
			.vip {
				margin-top: 20rpx;
				position: relative;
				width: 120rpx;
				height: 40rpx;
				.vip-bg {
					position: absolute;
					top: 0;
					left: 0;
					right: 0;
					width: 100%;
					height: 100%;
				}
				.vip-title {
					width: 120rpx;
					line-height: 40rpx;
					text-align: center;
					position: relative;
					z-index: 10;
					font-size: 20rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #93794b;
				}
			}
		}
		.sy-box {
			position: absolute;
			bottom: 105rpx;
			height: 148rpx;
			width: 750rpx;
			// background-color: #bfa;
			.sy-item {
				flex-grow: 1;
				text-align: center;
				font-size: 28rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #FFFFFF;
				.sy-item-val {
					
				}
			}
			.jg {
				width: 2rpx;
				height: 68rpx;
				background-color: #fff;
			}
		}
	}

	.qd-box {
		width: 690rpx;
		height: 210rpx;
		background: #FFFFFF;
		box-shadow: 0px 0px 20rpx 0px rgba(50, 50, 52, 0.06);
		border-radius: 20rpx;
		margin: -105rpx auto 30rpx;
		position: relative;
		padding: 0 40rpx;
		font-size: 26rpx;
		font-family: PingFang SC;
		font-weight: 500;
		color: #666666;

		image {
			flex-shrink: 0;
			width: 65rpx;
			height: 68rpx;
		}

		.qd-info {
			flex-grow: 1;
			padding-left: 24rpx;
			line-height: 46rpx;
		}

		.qd-btn {
			width: 190rpx;
			height: 80rpx;
			line-height: 80rpx;
			border-radius: 20px;
			background: #DC262B;
			border-radius: 20rpx;
			text-align: center;
			font-size: 32rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #FFFFFF;
		}

		.qded {
			background: #E8E8E8;
			color: #999999;
		}
	}

	.tool-box {
		padding: 60rpx 0 0;
		width: 690rpx;
		background: #FFFFFF;
		box-shadow: 0px 0px 20rpx 0px rgba(50, 50, 52, 0.06);
		border-radius: 20rpx;
		margin: 30rpx auto;
		flex-wrap: wrap;
		justify-content: flex-start;
		align-content: space-around;

		.tool-item {
			width: 25%;
			height: 120rpx;
			flex-shrink: 0;
			margin-bottom: 60rpx;
			flex-direction: column;
			align-content: space-between;
			justify-content: center;
			font-size: 28rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #0C1732;

			.tool-item-img {
				width: 68rpx;
				height: 90rpx;
				position: relative;
				flex-shrink: 0;

				.tool-logo {
					position: absolute;
					width: 56rpx;
					height: 56rpx;
					top: 0;
					left: 0;
					bottom: 0;
					right: 0;
					margin: auto;
				}
			}

			.tool-item-name {
				display: inline-block;
			}
		}
	}

	.tool-list {
		width: 690rpx;
		margin: auto;
		background: #FFFFFF;
		box-shadow: 0px 0px 20rpx 0px rgba(50, 50, 52, 0.06);
		border-radius: 20rpx;
	}

	.popup-box {
		width: 522rpx;
		height: 605rpx;
		background-color: #ffffff;
		border-radius: 20rpx;
		position: relative;

		.img {
			position: relative;
			top: -56rpx;
			left: 0;
			width: 522rpx;
			height: 132rpx;
			display: flex;
			justify-content: center;

			image {
				border-radius: 20rpx 20rpx 0 0;
				width: 450rpx;
				height: 132rpx;
			}
		}

		.mian {
			margin-top: -44rpx;
			display: flex;
			flex-direction: column;
			align-items: center;
			// padding: 32rpx 32rpx;
			background-color: #ffffff;
			border-radius: 0 0 20rpx 20rpx;
			text-align: center;

			.delivery {
				font-size: 40rpx;
				color: #333333;
				display: flex;
				align-items: center;
				flex-direction: column;

				.title {}

				image {
					margin-top: 48rpx;
					width: 172rpx;
					height: 160rpx;
				}
			}

			.nocancel {
				font-size: 32rpx;
				color: #333333;
				margin-top: 14rpx;
			}

			.comfirm-box {
				margin-top: 52rpx;
				display: flex;
				// margin-bottom: 32rpx;

				// justify-content: space-around;
				.cancel {
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					border: 1px solid #dcc786;
					border-radius: 38rpx;

					font-size: 32rpx;
					color: #605128;
				}

				.comfirm {
					margin-left: 32rpx;
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					background: linear-gradient(-90deg, #d1ba77 0%, #f7e8ad 100%);
					border-radius: 38px;
					font-size: 32rpx;
					color: #605128;
				}
			}
		}
	}

	.popup {
		width: 560rpx;
		padding-bottom: 45rpx;
		background-color: #ffffff;
		border-radius: 15rpx;
		text-align: center;
		line-height: 1;

		.popup-dox {
			position: relative;

			.popup-logo {
				margin: -160rpx auto 0;
				width: 400rpx;
				height: 200rpx;
			}
		}

		.popup-title {
			margin-top: 85rpx;
			font-size: 40rpx;
			font-family: PingFang SC;
			font-weight: bold;
			color: #2a2a2a;

			text {
				font-size: 56rpx;
				color: #e83f30;
			}
		}

		.popup-tip {
			margin-top: 20rpx;
			font-size: 28rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #8c8c8c;

			text {
				color: #e83f30;
			}
		}

		.popup-btn {
			margin: 58rpx auto 0;
			width: 270rpx;
			height: 66rpx;
			background: #f0c838;
			border-radius: 34rpx;
			text-align: center;
			line-height: 66rpx;
			font-size: 36rpx;
			font-family: Source Han Sans CN;
			font-weight: 500;
			color: #ffffff;
		}
	}
</style>
